# Serialized Form

- ## Package jakarta.servlet

  - ### Class jakarta.servlet.GenericFilter

    class GenericFilter extends Object implements Serializable
    serialVersionUID:
      1L

    - #### Serialized Fields

      - ##### filterConfig

            FilterConfig filterConfig

        The filter configuration.

  - ### Class jakarta.servlet.GenericServlet

    class GenericServlet extends Object implements Serializable
    serialVersionUID:
      1L

  - ### Class jakarta.servlet.ServletContextAttributeEvent

    class ServletContextAttributeEvent extends ServletContextEvent implements Serializable
    serialVersionUID:
      1L

    - #### Serialized Fields

      - ##### name

            String name

        Attribute name.

      - ##### value

            Object value

        Attribute value.

  - ### Class jakarta.servlet.ServletContextEvent

    class ServletContextEvent extends EventObject implements Serializable
    serialVersionUID:
      1L

  - ### Exception jakarta.servlet.ServletException

    class ServletException extends Exception implements Serializable
    serialVersionUID:
      1L

  - ### Class jakarta.servlet.ServletRequestAttributeEvent

    class ServletRequestAttributeEvent extends ServletRequestEvent implements Serializable
    serialVersionUID:
      1L

    - #### Serialized Fields

      - ##### name

            String name

        Attribute name.

      - ##### value

            Object value

        Attribute value.

  - ### Class jakarta.servlet.ServletRequestEvent

    class ServletRequestEvent extends EventObject implements Serializable
    serialVersionUID:
      1L

  - ### Exception jakarta.servlet.UnavailableException

    class UnavailableException extends ServletException implements Serializable
    serialVersionUID:
      1L

    - #### Serialized Fields

      - ##### permanent

            boolean permanent

        Is the issue permanent - i.e. is administrator action required?

      - ##### seconds

            int seconds

        The estimate of how long the Servlet will be unavailable.

- ## Package jakarta.servlet.http

  - ### Class jakarta.servlet.http.Cookie

    class Cookie extends Object implements Serializable
    serialVersionUID:
      2L

    - #### Serialized Fields

      - ##### attributes

            Map<String,String> attributes

        Attributes encoded in the header's cookie fields.

      - ##### name

            String name

        Cookie name.

      - ##### value

            String value

        Cookie value.

  - ### Class jakarta.servlet.http.HttpFilter

    class HttpFilter extends GenericFilter implements Serializable
    serialVersionUID:
      1L

  - ### Class jakarta.servlet.http.HttpServlet

    class HttpServlet extends GenericServlet implements Serializable
    serialVersionUID:
      1L

    - #### Serialized Fields

      - ##### cachedAllowHeaderValue

            String cachedAllowHeaderValue

        Cached value of the HTTP `Allow` header for this servlet.

      - ##### cachedUseLegacyDoHead

            boolean cachedUseLegacyDoHead

        Cached value read from `HttpServlet.LEGACY_DO_HEAD` system property.

  - ### Class jakarta.servlet.http.HttpSessionBindingEvent

    class HttpSessionBindingEvent extends HttpSessionEvent implements Serializable
    serialVersionUID:
      1L

    - #### Serialized Fields

      - ##### name

            String name

        The name to which the object is being bound or unbound.

      - ##### value

            Object value

        The object is being bound or unbound.

  - ### Class jakarta.servlet.http.HttpSessionEvent

    class HttpSessionEvent extends EventObject implements Serializable
    serialVersionUID:
      1L